org.eclipse.emf.cdo.transaction

## Interface CDOTransactionHandler

- All Superinterfaces:
    CDOTransactionHandler1, CDOTransactionHandler2, CDOTransactionHandlerBase
  All Known Implementing Classes:
    CDOAsyncTransactionHandler, CDOAutoCommitter, CDODefaultTransactionHandler, CDOPostEventTransactionHandler, CDOPostEventTransactionHandler.Default

      public interface CDOTransactionHandler
      extends CDOTransactionHandler1, CDOTransactionHandler2

  A combination of `CDOTransactionHandler1` and `CDOTransactionHandler2`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `CDOTransactionHandler1.WithUndo`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `attachingObject, detachingObject, modifyingObject`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler2

      `committedTransaction, committingTransaction, rolledBackTransaction`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html